Deployments.ai Docs
Providers

Archive an OAuth application

DELETE /v1/oauth-apps/{id} · SDK archiveProviderApplication · CLI deployments oauth-app archive

DELETE
/v1/oauth-apps/{id}

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
expectedVersion?integer
Range0 <= value
reason?string

Response Body

ProviderApplicationResponse

application/json
  1. response
clientId*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 2048
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
displayName*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
hasClientSecret*boolean
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
metadata?
providerKey*string
Match^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$
redirectUris*array<string>
requestedScopes*array<string>
status*string
Value in"active""archived""disabled""error""revoked"
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range0 <= value
curl -X DELETE "https://example.com/v1/oauth-apps/string" \  -H "x-deployments-environment: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "clientId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "displayName": "string",  "hasClientSecret": true,  "id": "string",  "metadata": {    "property1": null,    "property2": null  },  "providerKey": "string",  "redirectUris": [    "string"  ],  "requestedScopes": [    "string"  ],  "status": "active",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 0}